/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ParamConexion;

/**
 *
 * @author Administrador
 */
public class RenderParamConexion implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        ParamConexion paramConexion = (ParamConexion) o;

        Listcell lc = new Listcell(paramConexion.getParamConexionId().toString());
        lc.setParent(lstm);

        lc = new Listcell(paramConexion.getDescparametro());
        lc.setParent(lstm);

        lc = new Listcell(paramConexion.getValorParametro().toString());
        lc.setParent(lstm);

        lstm.setValue(paramConexion);
    }
}
